import { EventEmitter } from "../../../../stencil-public-runtime";
import * as langly from "langly";
export declare class IntergiroPaymentOption {
  t: langly.Translate;
  type: string;
  name: string;
  brand?: string | string[];
  selected?: boolean;
  element: HTMLElement;
  paymentOptionSelected: EventEmitter;
  componentWillLoad(): void;
  componentDidLoad(): void;
  render(): any;
}
